# Filing an issue

If you want your issue to be resolved quickly, please include in your
issue:

* Gatsby version, node.js version, OS version
* The contents of your `gatsby-node.js`, `gatsby-browser.js`, and `package.json`.

# Contributing
You can install the latest `master` version of Gatsby by following these
simple steps:

* Clone the repo, navigate to its directory.
* Execute `npm install` to install packages.
* Execute `npm uninstall -g gatsby && npm link`
* Use `git pull` to update to latest Gatsby.

Test suite can be run via `npm test`.

This project uses [FlowType](https://flowtype.org/) for static type checking.

The usual contributing steps are:

* Fork the [official repository](https://github.com/gatsbyjs/gatsby).
* Clone your fork: git clone `git@github.com:<your-username>/gatsby.git`
* Make sure tests are passing for you: npm install && npm test
* Create a topic branch: git checkout -b topics/new-feature-name
* Run `npm run watch` to watch code and compile your changes.
* Clone one of the official repositories and "link" your fork of Gatsby
  to it (run `npm link gatsby`).
* Add tests and code for your changes.
* Once you‘re done, make sure all tests still pass: npm install && npm test
* Commit and push to your fork.
* Create an pull request from your branch.
