'use strict';

var _toConsumableArray2 = require('babel-runtime/helpers/toConsumableArray');

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _graphql = require('graphql');

var _graphqlRelay = require('graphql-relay');

var _node = require('./node');

var _globals = require('../utils/globals');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function () {
  return new _bluebird2.default(function (resolve) {
    var pageType = new _graphql.GraphQLObjectType({
      name: 'Page',
      fields: function fields() {
        return {
          id: {
            type: new _graphql.GraphQLNonNull(_graphql.GraphQLID)
          },
          path: {
            type: _graphql.GraphQLString
          },
          component: {
            type: _graphql.GraphQLString
          }
        };
      },
      interfaces: [_node.nodeInterface]
    });

    var _connectionDefinition = (0, _graphqlRelay.connectionDefinitions)({
      nodeType: pageType,
      connectionFields: function connectionFields() {
        return {
          totalCount: {
            type: _graphql.GraphQLInt
          }
        };
      }
    }),
        pagesConnection = _connectionDefinition.connectionType;

    return resolve({
      allPages: {
        type: pagesConnection,
        description: 'All page configuration objects',
        args: (0, _extends3.default)({}, _graphqlRelay.connectionArgs),
        resolve: function resolve(site, args) {
          var pages = [].concat((0, _toConsumableArray3.default)((0, _globals.pagesDB)().values())).map(function (page) {
            page.id = page.path;return page;
          });
          var result = (0, _graphqlRelay.connectionFromArray)(pages, args);
          result.totalCount = pages.length;
          return result;
        }
      }
    });
  });
};