'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _filter2 = require('lodash/filter');

var _filter3 = _interopRequireDefault(_filter2);

var _nodeExiftool = require('node-exiftool');

var _nodeExiftool2 = _interopRequireDefault(_nodeExiftool);

var _glob = require('glob');

var _glob2 = _interopRequireDefault(_glob);

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _graphql = require('graphql');

var _graphqlRelay = require('graphql-relay');

var _markdownIt = require('markdown-it');

var _markdownIt2 = _interopRequireDefault(_markdownIt);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var md = new _markdownIt2.default({
  html: true,
  typographer: true
});

//import inferGraphQLType from './infer-graphql-type'

var ep = new _nodeExiftool2.default.ExiftoolProcess('/usr/local/bin/exiftool');
var isOpen = ep.open();

module.exports = function (directory) {
  return new _bluebird2.default(function (resolve, reject) {
    isOpen.catch(function (err) {
      return reject(err);
    }).then(function () {
      (0, _glob2.default)(directory + '/**/?(*.pdf)', function (err, files) {
        _bluebird2.default.all(files.map(function (file) {
          return ep.readMetadata(file);
        })).then(function (results) {
          var cleanedResults = (0, _filter3.default)(results, function (result) {
            return result.error === null;
          });
          var mappedResults = cleanedResults.map(function (result) {
            return result.data[0];
          });
          mappedResults = mappedResults.map(function (pdf) {
            if (pdf.Description) {
              pdf.Description = md.render(pdf.Description.replace(/<br \/>/g, '\n'));
            }
            return pdf;
          });
          console.log(mappedResults[0]);
          //console.log(mappedResults)
          //const mergedObject = _.merge(...mappedResults)
          //_.each(mergedObject, (v, k) => {
          //console.log(k, v)
          ////console.log(inferGraphQLType(k, v).name)
          //})
          var PdfType = new _graphql.GraphQLObjectType({
            name: 'Pdf',
            fields: {
              SourceFile: { type: _graphql.GraphQLString },
              FileName: { type: _graphql.GraphQLString },
              FileSize: { type: _graphql.GraphQLString },
              FileType: { type: _graphql.GraphQLString },
              Caption: { type: _graphql.GraphQLString },
              Description: { type: _graphql.GraphQLString },
              Date: {
                type: _graphql.GraphQLString,
                args: {
                  formatString: {
                    type: _graphql.GraphQLString
                  }
                },
                resolve: function resolve(_ref, _ref2) {
                  var Date = _ref.Date;
                  var formatString = _ref2.formatString;

                  if (formatString) {
                    return (0, _moment2.default)(Date, 'YYYY:MM:DD HH:mm:ssZ').format(formatString);
                  } else {
                    return Date;
                  }
                }
              },
              ImgSrc: { type: _graphql.GraphQLString }
            }
          });

          var _connectionDefinition = (0, _graphqlRelay.connectionDefinitions)({
            nodeType: PdfType,
            connectionFields: function connectionFields() {
              return {
                totalCount: {
                  type: _graphql.GraphQLInt
                }
              };
            }
          }),
              imageConnection = _connectionDefinition.connectionType;

          return resolve({
            allPdfs: {
              type: imageConnection,
              description: 'Pdfs',
              args: (0, _extends3.default)({}, _graphqlRelay.connectionArgs),
              resolve: function resolve(something, args) {
                var result = (0, _graphqlRelay.connectionFromArray)(mappedResults, args);
                result.totalCount = mappedResults.length;
                return result;
              }
            }
          });
        });
      });
    });
  });
};